<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('management_masters', function (Blueprint $table) {
            $table->id();
            $table->string('master_code'); // code for question master
            $table->string('master_value')->unique(); // Value get model master 
            $table->string('master_column'); // Get column from model master 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('management_masters');
    }
};
